set from_emailad to {"[$1]"} as string
set to_emailad to {"[$2]"} as string
set email_subject to {"[$3]"} as string
set file_attachment_path to {"[$4]"} as string
set email_body to {"[$5]"} as text

set file_attachment to file_attachment_path as alias

tell application "Mail"
	
	set newMessage to make new outgoing message with properties {subject:email_subject, content:email_body & return & return}
	tell newMessage
		set visible to true
		set sender to from_emailad
		make to recipients with properties {address:to_emailad}
		-- make cc recipients with properties {address:personsemailad_cc}
		try
			make new attachment with properties {file name:file_attachment} at after the last word of the last paragraph
			set message_attachment to 0
			log "message_attachment = " & message_attachment
		on error
			set message_attachment to 1
		end try
	end tell
	if message_attachment = 0 then
		set visible of newMessage to true
		send newMessage
	end if
end tell
